[ubuntu/maverick] petsc 3.1.dfsg-4 (Accepted)

Alessio Treglia alessio at debian.org
Fri Jul 9 15:30:27 BST 2010


petsc (3.1.dfsg-4) unstable; urgency=low

  * Upstream patch level 3.
  * Fix to clean target.
  * libpetsc3.1-dev depends on libhdf5-mpi-dev.
  * Build-conflict with atlas libs since they mess up other packages' builds.
  * Change target architectures eliminating hppa (closes: #529485).
  * Reinstated mpirun_lam script since LAM arches will need it.
  * Point all obsolete libraries' alternative symlinks at petsc library.
  * Added source lintian overrides about Adam Powell's name.
  * Bumped Standards-Version.

petsc (3.1.dfsg-3) unstable; urgency=low

  * Symlink $PETSC_DIR/conf/base -> variables for 3.0.x compatibility.

petsc (3.1.dfsg-2) unstable; urgency=low

  * Upstream patch level 2.
  * Patched to have the effect of regenerating config.[guess|sub] so clean is
    cleaner.
  * Added a few more files to the debian/rules clean target.
  * Added -c-opt to petscvariables directory in examples tarball.
  * Added --with-c-support to configure options (closes: #580546).
  * Changed control file to conform to Debian Science Policy Manual.
  * Added diagnostic to indicate MPI implementation and directory.
  * Disabled HDF5 support with LAM because libhdf5-lam-dev is missing at least
    one needed library libhdf5_fortran.so (closes: #582290).

petsc (3.1.dfsg-1) unstable; urgency=low

  * New upstream release, patch level 1 (closes: #576023).
  * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/manual.pdf and
    src/tops/twopager.pdf from upstream due to lack of source.
  * Changed BLAS and LAPACK links to -lblas and -llapack (closes: #577875).
  * PETSc brings this into -dev package config files (closes: #579578).
  * Added --with-clanguage=C++ to configure commands (closes: #576799).
  * Added HDF5 support (closes: #566920).
  * Changed to source format 3.0 (quilt).
  * Bumped Standards-Version.
  * Added ${misc:Depends} to all package Depends fields.
  * Disabled SuperLU because this PETSc version doesn't seem compatible.

Date: Tue, 06 Jul 2010 23:00:50 -0400
Changed-By: Alessio Treglia <alessio at debian.org>
Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
Signed-By: Alessio Treglia <quadrispro at ubuntu.com>
Origin: debian/unstable
https://launchpad.net/ubuntu/maverick/+source/petsc/3.1.dfsg-4
-------------- next part --------------
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 06 Jul 2010 23:00:50 -0400
Source: petsc
Binary: libpetsc3.1-dev petsc-dev libpetsc3.1 libpetsc3.1-dbg petsc3.1-doc
Architecture: source
Version: 3.1.dfsg-4
Distribution: maverick
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers at lists.alioth.debian.org>
Changed-By: Alessio Treglia <alessio at debian.org>
Description: 
 libpetsc3.1 - Shared libraries for version 3.1 of PETSc
 libpetsc3.1-dbg - Static debugging libraries for PETSc
 libpetsc3.1-dev - Static libraries, shared links, header files for PETSc
 petsc-dev  - Meta-package depending on latest PETSc development package
 petsc3.1-doc - Documentation and examples for PETSc
Closes: 529485 566920 576023 576799 577875 579578 580546 582290
Changes: 
 petsc (3.1.dfsg-4) unstable; urgency=low
 .
   * Upstream patch level 3.
   * Fix to clean target.
   * libpetsc3.1-dev depends on libhdf5-mpi-dev.
   * Build-conflict with atlas libs since they mess up other packages' builds.
   * Change target architectures eliminating hppa (closes: #529485).
   * Reinstated mpirun_lam script since LAM arches will need it.
   * Point all obsolete libraries' alternative symlinks at petsc library.
   * Added source lintian overrides about Adam Powell's name.
   * Bumped Standards-Version.
 .
 petsc (3.1.dfsg-3) unstable; urgency=low
 .
   * Symlink $PETSC_DIR/conf/base -> variables for 3.0.x compatibility.
 .
 petsc (3.1.dfsg-2) unstable; urgency=low
 .
   * Upstream patch level 2.
   * Patched to have the effect of regenerating config.[guess|sub] so clean is
     cleaner.
   * Added a few more files to the debian/rules clean target.
   * Added -c-opt to petscvariables directory in examples tarball.
   * Added --with-c-support to configure options (closes: #580546).
   * Changed control file to conform to Debian Science Policy Manual.
   * Added diagnostic to indicate MPI implementation and directory.
   * Disabled HDF5 support with LAM because libhdf5-lam-dev is missing at least
     one needed library libhdf5_fortran.so (closes: #582290).
 .
 petsc (3.1.dfsg-1) unstable; urgency=low
 .
   * New upstream release, patch level 1 (closes: #576023).
   * Removed bin/win32fe/win32fe.exe and win32feutils.dll, docs/manual.pdf and
     src/tops/twopager.pdf from upstream due to lack of source.
   * Changed BLAS and LAPACK links to -lblas and -llapack (closes: #577875).
   * PETSc brings this into -dev package config files (closes: #579578).
   * Added --with-clanguage=C++ to configure commands (closes: #576799).
   * Added HDF5 support (closes: #566920).
   * Changed to source format 3.0 (quilt).
   * Bumped Standards-Version.
   * Added ${misc:Depends} to all package Depends fields.
   * Disabled SuperLU because this PETSc version doesn't seem compatible.
Checksums-Sha1: 
 2b5a74961ce22b513d9b89a32c6be305b91e7b9b 1789 petsc_3.1.dfsg-4.dsc
 0ed402b781a3944273010a912856c66bfe826ffc 14138731 petsc_3.1.dfsg.orig.tar.gz
 41c142c871618c1bef2fc4df0809d6ed59680581 1115379 petsc_3.1.dfsg-4.debian.tar.gz
Checksums-Sha256: 
 dafd493dbe52bccfdb57c66fc6f6140c781edd7d37e5bc855cfcf6caed49c3e2 1789 petsc_3.1.dfsg-4.dsc
 1ff823ed701939f445108524160b69e77f211467abc64a731d6d4bf7477aa308 14138731 petsc_3.1.dfsg.orig.tar.gz
 062c13e5ce31f3ffc1508f0a6d5ea1ceecb0e4450cec8c4b40d3696f55c629f2 1115379 petsc_3.1.dfsg-4.debian.tar.gz
Files: 
 cf86992b7c61cad0227a9967c1035126 1789 devel extra petsc_3.1.dfsg-4.dsc
 95e459addad40239848e7ef7b5902643 14138731 devel extra petsc_3.1.dfsg.orig.tar.gz
 f8104f3e665ff1c0c03050214f904c5b 1115379 devel extra petsc_3.1.dfsg-4.debian.tar.gz
Origin: debian/unstable

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkw3MGwACgkQRdSMfNz8P9DGBgCdHgyA7Rpv0RI2hKyiwb9amlKt
U3IAnj19esk6X5AbN/qJzWnHTsTK/2NF
=8r7x
-----END PGP SIGNATURE-----


More information about the Maverick-changes mailing list